cancel
Showing results for 
Search instead for 
Did you mean: 

PSA: CGI Webspace - PHP 5.6 upgrade

bobpullen
Community Gaffer
Community Gaffer
Posts: 14,884
Thanks: 2,489
Fixes: 168
Registered: ‎04-04-2007

PSA: CGI Webspace - PHP 5.6 upgrade

Hi all,

Heads up that tomorrow we'll be looking to upgrade the PHP binary on our CGI web hosting platform from 5.3.28 to 5.6.

For the majority, this is very unlikely to cause problems and most popular CMS solutions like Wordpress should continue to work. For some - notably those who've written their own PHP scripts - you may encounter incompatibilities if you're scripts are old and use features that are depreciated in version 5.6. For further guidance, take a look at the 'backwards incompatible’ hyperlinks here.

Between now and the upgrade, you can check various areas of your website for PHP 5.6 compatibility by browsing to:

http://ccgi.<username>.plus.com.php56-c51.previewmysite.eu

That will display your site using PHP 5.6 and should give you an indication as to whether or not anything's going to break.

Should anyone spot anything untoward following the upgrade then do shout up and we'll help out where we can.

 

Bob Pullen
Plusnet Product Team
If I've been helpful then please give thanks ⤵

1 REPLY 1
bobpullen
Community Gaffer
Community Gaffer
Posts: 14,884
Thanks: 2,489
Fixes: 168
Registered: ‎04-04-2007

Re: PSA: CGI Webspace - PHP 5.6 upgrade

Heads up that the maintenance has been delayed. I'll post an update once I know more...

Bob Pullen
Plusnet Product Team
If I've been helpful then please give thanks ⤵